import { defineComponent as r, computed as i, openBlock as p, createBlock as s, withCtx as o, createElementVNode as a, createVNode as m } from "vue";
import l from "./Tooltip.vue.js";
import _ from "../icon/Icon.vue.js";
import { infoIcon as d } from "../../common/icons.js";
const u = ["innerHTML"], f = {
  content: String,
  icon: String
}, g = { name: "XToggleTip" }, y = /* @__PURE__ */ r({
  ...g,
  props: f,
  setup(t) {
    const e = t, n = i(() => e.icon || d);
    return (c, T) => (p(), s(l, { placement: "auto" }, {
      tooltip: o(() => [
        a("div", { innerHTML: c.content }, null, 8, u)
      ]),
      default: o(() => [
        m(_, {
          icon: n.value,
          class: "text-secondary-500 dark:text-secondary-300 cursor-pointer"
        }, null, 8, ["icon"])
      ]),
      _: 1
    }));
  }
});
export {
  y as default
};
